//Source file: AccessDeniedException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * The client is not currently authenticated with the framework
 *
 * 
 */
public class AccessDeniedException extends java.lang.Exception {

    private Throwable _cause = null;

    public AccessDeniedException() {
        super(); 
    }

    public AccessDeniedException(String message) {
        super(message); 
    }

    public AccessDeniedException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public AccessDeniedException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // AccessDeniedException

