//Source file: IllegalServiceTypeException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0
package org.csapi.jr.se.fw;

/**
 * 
 *
 */
public class IllegalServiceTypeException extends java.lang.Exception {

    private Throwable _cause = null;

    public IllegalServiceTypeException() {
        super(); 
    }

    public IllegalServiceTypeException(String message) {
        super(message); 
    }

    public IllegalServiceTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public IllegalServiceTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // IllegalServiceTypeException

