//Source file: InvalidActivityTestIdException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * ID does not correspond to a valid activity request. 
 *
 * 
 */
public class InvalidActivityTestIdException extends java.lang.Exception {

    private Throwable _cause = null;

    public InvalidActivityTestIdException() {
        super(); 
    }

    public InvalidActivityTestIdException(String message) {
        super(message); 
    }

    public InvalidActivityTestIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidActivityTestIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidActivityTestIdException

