//Source file: InvalidPropertyException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * The framework does not recognise the property supplied by the client
 *
 * 
 */
public class InvalidPropertyException extends java.lang.Exception {

    private Throwable _cause = null;

    public InvalidPropertyException() {
        super(); 
    }

    public InvalidPropertyException(String message) {
        super(message); 
    }

    public InvalidPropertyException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidPropertyException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidPropertyException

