//Source file: InvalidSignatureException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * Invalid digital signature
 *
 * 
 */
public class InvalidSignatureException extends java.lang.Exception {

    private Throwable _cause = null;

    public InvalidSignatureException() {
        super(); 
    }

    public InvalidSignatureException(String message) {
        super(message); 
    }

    public InvalidSignatureException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidSignatureException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidSignatureException

