//Source file: LoadPolicy.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * The load balancing policy.
 *
 * 
 */
public final class LoadPolicy implements java.io.Serializable {

    private String loadPolicy;

    /**
     * Creates a new  LoadPolicy  instance.
     *
     */
    public LoadPolicy (String _loadPolicy) {

        loadPolicy = _loadPolicy;
    }

    /**
     * This method returns a loadPolicy.
     * 
     *@return a  String  value
     */
    public String getLoadPolicy() {
        return loadPolicy;

    }


     /**
     * This method sets a loadPolicy.
     */ 
    public void setLoadPolicy(String loadPolicy){
        this.loadPolicy = loadPolicy;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof LoadPolicy)) {
            return false;
        } 
        
        LoadPolicy loadPolicy= (LoadPolicy)o;
        if ((this.loadPolicy !=null) & (loadPolicy.loadPolicy != null)) {
            if(!(this.loadPolicy.equals(loadPolicy.loadPolicy)))  {
                return false;
            }
        }
    
    
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
    
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // LoadPolicy

