//Source file: LoadThreshold.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * The load threshold value.
 *
 * 
 */
public final class LoadThreshold implements java.io.Serializable {

    private float loadThreshold;

    /**
     * Creates a new  LoadThreshold  instance.
     *
     */
    public LoadThreshold (float _loadThreshold) {

        loadThreshold = _loadThreshold;
    }

    /**
     * This method returns a loadThreshold.
     * 
     *@return a  float  value
     */
    public float getLoadThreshold() {
        return loadThreshold;

    }


     /**
     * This method sets a loadThreshold.
     */ 
    public void setLoadThreshold(float loadThreshold){
        this.loadThreshold = loadThreshold;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof LoadThreshold)) {
            return false;
        } 
        
        LoadThreshold loadThreshold= (LoadThreshold)o;
        if(!(this.loadThreshold == loadThreshold.loadThreshold)) {
            return false;
        }
    
    
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
    
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // LoadThreshold

