//Source file: NoAcceptableEncryptionCapabilityException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * An authentication mechanism, which is acceptable to the framework, is not supported by the client
 *
 * 
 */
public class NoAcceptableEncryptionCapabilityException extends java.lang.Exception {

    private Throwable _cause = null;

    public NoAcceptableEncryptionCapabilityException() {
        super(); 
    }

    public NoAcceptableEncryptionCapabilityException(String message) {
        super(message); 
    }

    public NoAcceptableEncryptionCapabilityException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public NoAcceptableEncryptionCapabilityException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // NoAcceptableEncryptionCapabilityException

