//Source file: ServiceAccessDeniedException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * The client application is not allowed to access this service.
 *
 * 
 */
public class ServiceAccessDeniedException extends java.lang.Exception {

    private Throwable _cause = null;

    public ServiceAccessDeniedException() {
        super(); 
    }

    public ServiceAccessDeniedException(String message) {
        super(message); 
    }

    public ServiceAccessDeniedException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public ServiceAccessDeniedException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // ServiceAccessDeniedException

