//Source file: UnknownServiceIdException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * Unknown Service ID. 
 *
 * 
 */
public class UnknownServiceIdException extends java.lang.Exception {

    private Throwable _cause = null;

    public UnknownServiceIdException() {
        super(); 
    }

    public UnknownServiceIdException(String message) {
        super(message); 
    }

    public UnknownServiceIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public UnknownServiceIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // UnknownServiceIdException

