//Source file: UnknownServiceTypeException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * Unknown Service Type. 
 *
 * 
 */
public class UnknownServiceTypeException extends java.lang.Exception {

    private Throwable _cause = null;

    public UnknownServiceTypeException() {
        super(); 
    }

    public UnknownServiceTypeException(String message) {
        super(message); 
    }

    public UnknownServiceTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public UnknownServiceTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // UnknownServiceTypeException

