//Source file: InvalidAccessTypeException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * The framework does not support the type of access interface requested by the client. 
 *
 * 
 */
public class InvalidAccessTypeException extends java.lang.Exception {

    private Throwable _cause = null;

    public InvalidAccessTypeException() {
        super(); 
    }

    public InvalidAccessTypeException(String message) {
        super(message); 
    }

    public InvalidAccessTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidAccessTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidAccessTypeException

