//Source file: InvalidServiceTokenException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * The service token has not been issued, or it has expired.
 *
 * 
 */
public class InvalidServiceTokenException extends java.lang.Exception {

    private Throwable _cause = null;

    public InvalidServiceTokenException() {
        super(); 
    }

    public InvalidServiceTokenException(String message) {
        super(message); 
    }

    public InvalidServiceTokenException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidServiceTokenException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidServiceTokenException

