//Source file: ServiceNotEnabledException.java
//Date: July 2003
//Framework Data Types for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw;

/**
 * The service ID does not correspond to a service that has been enabled
 *
 * 
 */
public class ServiceNotEnabledException extends java.lang.Exception {

    private Throwable _cause = null;

    public ServiceNotEnabledException() {
        super(); 
    }

    public ServiceNotEnabledException(String message) {
        super(message); 
    }

    public ServiceNotEnabledException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public ServiceNotEnabledException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // ServiceNotEnabledException

