//Source file: AppHeartBeat.java
//Date: July 2003
//Framework to Application Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_application.integrity;

/**
 * The Heartbeat Application interface is used by the Framework to send the client application its heartbeat. 
 *
 * 
 * 
 */
public interface AppHeartBeat extends org.csapi.jr.se.CsapiInterface{

    /**
     * The framework uses this method to send its heartbeat to the client application.  The application will be expecting a pulse at the end of every interval specified in the parameter to the IpHeartBeatMgmt.enableHeartbeat() method.  If the pulse() is not received within the specified interval, then the framework can be deemed to have failed the heartbeat.
     * 
     */
    void  pulse();


} // AppHeartBeat

