//Source file: AppOAM.java
//Date: July 2003
//Framework to Application Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_application.integrity;

/**
 * The OAM client application interface is used by the Framework to query the application date and time, for synchronisation purposes. This method is invoked by the Framework to interchange the framework and client application date and time.
 *
 * 
 * 
 */
public interface AppOAM extends org.csapi.jr.se.CsapiInterface{

    /**
     * This method is used to query the system date and time. The framework passes in its own date and time to the application.  The application responds with its own date and time.
Returns <clientDateAndTime> : This is the date and time of the client (application).
     *     @param systemDateAndTime This is the system date and time of the framework.

     */
    String  systemDateTimeQuery(String systemDateAndTime);


} // AppOAM

