//Source file: SvcOAM.java
//Date: July 2003
//Framework to Service Interfaces for ETSI ES 202 915-03 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-03 v5.1.0

package org.csapi.jr.se.fw.fw_service.integrity;

/**
 * This interface and the systemDateTimeQuery() method are optional.
 *
 * 
 * 
 */
public interface SvcOAM extends org.csapi.jr.se.CsapiInterface{

    /**
     * This method is used by the framework to send the system date and time to the service.  The service responds with its own date and time.
Returns <clientDateAndTime> : This is the date and time of the client (service).
     *     @param systemDateAndTime This is the system date and time of the framework.  The error code P_INVALID_DATE_TIME_FORMAT is returned if the format of the parameter is invalid.

     */
    String  systemDateTimeQuery(String systemDateAndTime)throws org.csapi.jr.se.MethodNotSupportedException,org.csapi.jr.se.NoCallbackAddressSetException, org.csapi.jr.se.ResourcesUnavailableException, org.csapi.jr.se.TaskCancelledException, org.csapi.jr.se.TaskRefusedException, org.csapi.jr.se.InvalidStateException,org.csapi.jr.se.InvalidTimeAndDateFormatException;


} // SvcOAM

